Skip to navigation

GetHistoryReports

View as Markdown

Gets the list of history reports and their statuses. The method returns info about the reports made via [GetCallHistoryAsync], [GetTransactionHistoryAsync], [GetAuditLogAsync] and [GetBriefCallHistory] asynchronous methods. Note that the file_size field in response is valid only for the video calls.

Allowed roles: Owner, Admin, Developer, Supervisor, Accountant, Support, Payer.

Example request: Get all the reports.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

history_report_idintegerOptional
The history report ID to filter
history_typelist of stringsOptional

The history report type list separated by semicolons (;). Use the 'all' value to select all history report types. The following values are possible: calls, calls_brief, transactions, audit, call_list, transactions_on_hold

created_fromstringOptional

The UTC creation from date filter in 24-h format: YYYY-MM-DD HH:mm:ss

created_tostringOptional

The UTC creation to date filter in 24-h format: YYYY-MM-DD HH:mm:ss

is_completedbooleanOptional
Whether the report is completed
desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

application_idlist of integersOptional

The application ID to filter. Can be a list separated by semicolons (;). Use the 'all' value to select all applications

Response

Successful response
resultlist of objectsOptional
total_countintegerOptional
The total found reports count
countintegerOptional
The returned reports count